summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLiang Qi <liang.qi@qt.io>2017-01-28 12:21:28 +0100
committerLiang Qi <liang.qi@qt.io>2017-01-28 12:21:28 +0100
commit9be869ba486276cbeb08e0dbf3871f0666bcc63e (patch)
treed4999647ab28ed7ed0c1109f8d129ece8a21dbef
parent98fa30e28e12fcf6ea27d9932c0549c0d648513f (diff)
parentd4681ee6906f441d072df6e060599e6d7741d5a4 (diff)
Merge remote-tracking branch 'origin/5.6' into 5.8
-rw-r--r--coin/provisioning/common/01-macos-removethemall.sh49
-rw-r--r--coin/provisioning/common/01-windows_removethemall.ps15
-rw-r--r--coin/provisioning/common/memorypershell.ps13
-rw-r--r--coin/provisioning/qtci-osx-10.10-x86_64/003-bashprofile.sh5
-rw-r--r--coin/provisioning/qtci-osx-10.10-x86_64/01-macos-removethemall.sh4
-rw-r--r--coin/provisioning/qtci-osx-10.10-x86_64/android.sh102
-rw-r--r--coin/provisioning/qtci-osx-10.10-x86_64/crashreporter.sh2
-rw-r--r--coin/provisioning/qtci-osx-10.11-x86_64/003-bashprofile.sh5
-rw-r--r--coin/provisioning/qtci-osx-10.11-x86_64/01-macos-removethemall.sh4
-rw-r--r--coin/provisioning/qtci-osx-10.11-x86_64/android.sh102
-rw-r--r--coin/provisioning/qtci-osx-10.11-x86_64/crashreporter.sh2
-rw-r--r--coin/provisioning/qtci-windows-7-x86/02-memorypershell.ps11
-rw-r--r--coin/provisioning/qtci-windows-7-x86/06-android.ps165
-rw-r--r--coin/provisioning/qtci-windows-7-x86/07-android_openssl.ps1 (renamed from coin/provisioning/qtci-windows-7-x86/android_openssl.ps1)0
14 files changed, 349 insertions, 0 deletions
diff --git a/coin/provisioning/common/01-macos-removethemall.sh b/coin/provisioning/common/01-macos-removethemall.sh
new file mode 100644
index 00000000..f0e26480
--- /dev/null
+++ b/coin/provisioning/common/01-macos-removethemall.sh
@@ -0,0 +1,49 @@
+#!/bin/sh
+#############################################################################
+##
+## Copyright (C) 2016 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the test suite of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+function RemoveDir {
+ param=$1
+
+ if [ ! -d $param ]
+ then
+ echo "'$param' don't exists"
+ else
+ echo "Removing $param..."
+ sudo rm -fr $param
+ fi
+}
+
+# Remove Android
+param="/opt/android"
+RemoveDir $param
diff --git a/coin/provisioning/common/01-windows_removethemall.ps1 b/coin/provisioning/common/01-windows_removethemall.ps1
index 8285ddae..9e64a34d 100644
--- a/coin/provisioning/common/01-windows_removethemall.ps1
+++ b/coin/provisioning/common/01-windows_removethemall.ps1
@@ -59,3 +59,8 @@ Function Remove-Path {
Remove C:\Python27
Remove-Path C:\python27\scripts
Remove-Path C:\python27
+
+# Remove Android sdk and ndk
+Remove C:\utils\android*
+[Environment]::SetEnvironmentVariable("ANDROID_NDK_HOME",$null,"User")
+[Environment]::SetEnvironmentVariable("ANDROID_SDK_HOME",$null,"User")
diff --git a/coin/provisioning/common/memorypershell.ps1 b/coin/provisioning/common/memorypershell.ps1
new file mode 100644
index 00000000..2a8ebb68
--- /dev/null
+++ b/coin/provisioning/common/memorypershell.ps1
@@ -0,0 +1,3 @@
+# This is needed e.g. for Android NDK installation for Windows 7 x86
+echo "Increase value of MaxMemoryPerShellMB to avoid 'out of memory' exception"
+set-item wsman:localhost\Shell\MaxMemoryPerShellMB 2048
diff --git a/coin/provisioning/qtci-osx-10.10-x86_64/003-bashprofile.sh b/coin/provisioning/qtci-osx-10.10-x86_64/003-bashprofile.sh
new file mode 100644
index 00000000..0fbe7628
--- /dev/null
+++ b/coin/provisioning/qtci-osx-10.10-x86_64/003-bashprofile.sh
@@ -0,0 +1,5 @@
+#!/bin/sh
+
+# Read .bashrc if exist
+printf -- "# Get the aliases and functions\nif [ -f ~/.bashrc ]; then\n . ~/.bashrc\nfi\n" >> ~/.bash_profile
+
diff --git a/coin/provisioning/qtci-osx-10.10-x86_64/01-macos-removethemall.sh b/coin/provisioning/qtci-osx-10.10-x86_64/01-macos-removethemall.sh
new file mode 100644
index 00000000..6b56aac4
--- /dev/null
+++ b/coin/provisioning/qtci-osx-10.10-x86_64/01-macos-removethemall.sh
@@ -0,0 +1,4 @@
+#!/usr/bin/env bash
+BASEDIR=$(dirname "$0")
+source "$BASEDIR/../common/01-macos-removethemall.sh"
+
diff --git a/coin/provisioning/qtci-osx-10.10-x86_64/android.sh b/coin/provisioning/qtci-osx-10.10-x86_64/android.sh
new file mode 100644
index 00000000..559eabd6
--- /dev/null
+++ b/coin/provisioning/qtci-osx-10.10-x86_64/android.sh
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+#############################################################################
+##
+## Copyright (C) 2016 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the test suite of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# This script install Android sdk and ndk.
+
+# It also runs update for SDK API level 18, latest SDK tools, latest platform-tools and - build-tools
+
+# Android 16 is the minimum requirement for Qt 5.7 applications, but we need something more recent than that for building Qt itself.
+# E.g The Bluetooth features that require Android 18 will disable themselves dynamically when running on an Android 16 device.
+# That's why we need to use Andoid-18 API version and decision was made to use it also with Qt 5.6.
+
+set -e
+targetFolder="/opt/android"
+baseUrl="http://ci-files01-hki.ci.local/input/android"
+
+# SDK
+sdkVersion="android-sdk_r24.4.1-macosx.zip"
+sdkBuildToolsVersion="24.0.2"
+sdkApiLevel="android-18"
+sdkUrl="$baseUrl/$sdkVersion"
+sdkSha1="85a9cccb0b1f9e6f1f616335c5f07107553840cd"
+sdkTargetFile="$targetFolder/$sdkVersion"
+sdkExtract="unzip $sdkTargetFile -d $targetFolder"
+sdkFolderName="android-sdk-macosx"
+sdkName="sdk"
+
+# NDK
+ndkVersion="android-ndk-r10e-darwin-x86_64.zip"
+ndkUrl="$baseUrl/$ndkVersion"
+ndkSha1="6be8598e4ed3d9dd42998c8cb666f0ee502b1294"
+ndkTargetFile="$targetFolder/$ndkVersion"
+ndkExtract="unzip $ndkTargetFile -d $targetFolder"
+ndkFolderName="android-ndk-r10e"
+ndkName="ndk"
+
+function InstallAndroidPackage {
+ targetFolder=$1
+ version=$2
+ url=$3
+ sha1=$4
+ targetFile=$5
+ extract=$6
+ folderName=$7
+ name=$8
+
+ sudo curl --retry 5 --retry-delay 10 --retry-max-time 60 $url -o $targetFile || echo "Failed to download '$url' multiple times"
+ shasum $targetFile |grep $sha1 || echo "shasum check failed !"
+ sudo chmod 755 $targetFile
+ sudo $extract || echo "Failed to extract $url"
+ sudo chown -R qt:wheel $targetFolder/$folderName
+ sudo mv $targetFolder/$folderName $targetFolder/$name || echo "Failed to rename $name"
+ sudo rm -fr $targetFolder/$version || echo "Failed to remove $targetFolder/$version"
+}
+
+sudo mkdir $targetFolder
+# Install Android SDK
+echo "Installing Android SDK version $sdkVersion..."
+InstallAndroidPackage $targetFolder $sdkVersion $sdkUrl $sdkSha1 $sdkTargetFile "$sdkExtract" $sdkFolderName $sdkName
+
+# Install Android NDK
+echo "Installing Android NDK version $ndkVersion..."
+InstallAndroidPackage $targetFolder $ndkVersion $ndkUrl $ndkSha1 $ndkTargetFile "$ndkExtract" $ndkFolderName $ndkName
+
+# run update for Android SDK and install SDK API version 18, latest SDK tools, platform-tools and build-tools
+echo "Running Android SDK update for API version 18, SDK-tools, platform-tools and build-tools-$sdkBuildToolsVersion..."
+echo "y" |$targetFolder/sdk/tools/android update sdk --no-ui --all --filter $sdkApiLevel,tools,platform-tools,build-tools-$sdkBuildToolsVersion || echo "Failed to run update"
+
+# For Qt 5.6, we by default require API levels 10, 11, 16 and 18, but we can override this by setting ANDROID_API_VERSION=android-18
+# From Qt 5.7 forward, if android-16 is not installed, Qt will automatically use more recent one.
+echo 'export ANDROID_API_VERSION=android-18' >> ~/.bashrc
diff --git a/coin/provisioning/qtci-osx-10.10-x86_64/crashreporter.sh b/coin/provisioning/qtci-osx-10.10-x86_64/crashreporter.sh
new file mode 100644
index 00000000..ba8dbdd3
--- /dev/null
+++ b/coin/provisioning/qtci-osx-10.10-x86_64/crashreporter.sh
@@ -0,0 +1,2 @@
+#!/bin/sh
+defaults write com.apple.CrashReporter DialogType server
diff --git a/coin/provisioning/qtci-osx-10.11-x86_64/003-bashprofile.sh b/coin/provisioning/qtci-osx-10.11-x86_64/003-bashprofile.sh
new file mode 100644
index 00000000..0fbe7628
--- /dev/null
+++ b/coin/provisioning/qtci-osx-10.11-x86_64/003-bashprofile.sh
@@ -0,0 +1,5 @@
+#!/bin/sh
+
+# Read .bashrc if exist
+printf -- "# Get the aliases and functions\nif [ -f ~/.bashrc ]; then\n . ~/.bashrc\nfi\n" >> ~/.bash_profile
+
diff --git a/coin/provisioning/qtci-osx-10.11-x86_64/01-macos-removethemall.sh b/coin/provisioning/qtci-osx-10.11-x86_64/01-macos-removethemall.sh
new file mode 100644
index 00000000..6b56aac4
--- /dev/null
+++ b/coin/provisioning/qtci-osx-10.11-x86_64/01-macos-removethemall.sh
@@ -0,0 +1,4 @@
+#!/usr/bin/env bash
+BASEDIR=$(dirname "$0")
+source "$BASEDIR/../common/01-macos-removethemall.sh"
+
diff --git a/coin/provisioning/qtci-osx-10.11-x86_64/android.sh b/coin/provisioning/qtci-osx-10.11-x86_64/android.sh
new file mode 100644
index 00000000..559eabd6
--- /dev/null
+++ b/coin/provisioning/qtci-osx-10.11-x86_64/android.sh
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+#############################################################################
+##
+## Copyright (C) 2016 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the test suite of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# This script install Android sdk and ndk.
+
+# It also runs update for SDK API level 18, latest SDK tools, latest platform-tools and - build-tools
+
+# Android 16 is the minimum requirement for Qt 5.7 applications, but we need something more recent than that for building Qt itself.
+# E.g The Bluetooth features that require Android 18 will disable themselves dynamically when running on an Android 16 device.
+# That's why we need to use Andoid-18 API version and decision was made to use it also with Qt 5.6.
+
+set -e
+targetFolder="/opt/android"
+baseUrl="http://ci-files01-hki.ci.local/input/android"
+
+# SDK
+sdkVersion="android-sdk_r24.4.1-macosx.zip"
+sdkBuildToolsVersion="24.0.2"
+sdkApiLevel="android-18"
+sdkUrl="$baseUrl/$sdkVersion"
+sdkSha1="85a9cccb0b1f9e6f1f616335c5f07107553840cd"
+sdkTargetFile="$targetFolder/$sdkVersion"
+sdkExtract="unzip $sdkTargetFile -d $targetFolder"
+sdkFolderName="android-sdk-macosx"
+sdkName="sdk"
+
+# NDK
+ndkVersion="android-ndk-r10e-darwin-x86_64.zip"
+ndkUrl="$baseUrl/$ndkVersion"
+ndkSha1="6be8598e4ed3d9dd42998c8cb666f0ee502b1294"
+ndkTargetFile="$targetFolder/$ndkVersion"
+ndkExtract="unzip $ndkTargetFile -d $targetFolder"
+ndkFolderName="android-ndk-r10e"
+ndkName="ndk"
+
+function InstallAndroidPackage {
+ targetFolder=$1
+ version=$2
+ url=$3
+ sha1=$4
+ targetFile=$5
+ extract=$6
+ folderName=$7
+ name=$8
+
+ sudo curl --retry 5 --retry-delay 10 --retry-max-time 60 $url -o $targetFile || echo "Failed to download '$url' multiple times"
+ shasum $targetFile |grep $sha1 || echo "shasum check failed !"
+ sudo chmod 755 $targetFile
+ sudo $extract || echo "Failed to extract $url"
+ sudo chown -R qt:wheel $targetFolder/$folderName
+ sudo mv $targetFolder/$folderName $targetFolder/$name || echo "Failed to rename $name"
+ sudo rm -fr $targetFolder/$version || echo "Failed to remove $targetFolder/$version"
+}
+
+sudo mkdir $targetFolder
+# Install Android SDK
+echo "Installing Android SDK version $sdkVersion..."
+InstallAndroidPackage $targetFolder $sdkVersion $sdkUrl $sdkSha1 $sdkTargetFile "$sdkExtract" $sdkFolderName $sdkName
+
+# Install Android NDK
+echo "Installing Android NDK version $ndkVersion..."
+InstallAndroidPackage $targetFolder $ndkVersion $ndkUrl $ndkSha1 $ndkTargetFile "$ndkExtract" $ndkFolderName $ndkName
+
+# run update for Android SDK and install SDK API version 18, latest SDK tools, platform-tools and build-tools
+echo "Running Android SDK update for API version 18, SDK-tools, platform-tools and build-tools-$sdkBuildToolsVersion..."
+echo "y" |$targetFolder/sdk/tools/android update sdk --no-ui --all --filter $sdkApiLevel,tools,platform-tools,build-tools-$sdkBuildToolsVersion || echo "Failed to run update"
+
+# For Qt 5.6, we by default require API levels 10, 11, 16 and 18, but we can override this by setting ANDROID_API_VERSION=android-18
+# From Qt 5.7 forward, if android-16 is not installed, Qt will automatically use more recent one.
+echo 'export ANDROID_API_VERSION=android-18' >> ~/.bashrc
diff --git a/coin/provisioning/qtci-osx-10.11-x86_64/crashreporter.sh b/coin/provisioning/qtci-osx-10.11-x86_64/crashreporter.sh
new file mode 100644
index 00000000..ba8dbdd3
--- /dev/null
+++ b/coin/provisioning/qtci-osx-10.11-x86_64/crashreporter.sh
@@ -0,0 +1,2 @@
+#!/bin/sh
+defaults write com.apple.CrashReporter DialogType server
diff --git a/coin/provisioning/qtci-windows-7-x86/02-memorypershell.ps1 b/coin/provisioning/qtci-windows-7-x86/02-memorypershell.ps1
new file mode 100644
index 00000000..ba24f9d7
--- /dev/null
+++ b/coin/provisioning/qtci-windows-7-x86/02-memorypershell.ps1
@@ -0,0 +1 @@
+. "$PSScriptRoot\..\common\memorypershell.ps1"
diff --git a/coin/provisioning/qtci-windows-7-x86/06-android.ps1 b/coin/provisioning/qtci-windows-7-x86/06-android.ps1
new file mode 100644
index 00000000..96be39a3
--- /dev/null
+++ b/coin/provisioning/qtci-windows-7-x86/06-android.ps1
@@ -0,0 +1,65 @@
+. "$PSScriptRoot\..\common\helpers.ps1"
+
+# This script installs Android sdk and ndk
+# It also runs update for SDK API level 18, latest SDK tools, latest platform-tools and build-tools version $sdkBuildToolsVersion
+# Android 16 is the minimum requirement for Qt 5.7 applications, but we need something more recent than that for building Qt itself.
+# E.g the bluetooth features that require Android 18 will disable themselves dynamically when running on Android 16 device.
+# That's why we need to use Andoid-18 API version and decision was made to use it also with Qt 5.6.
+
+# NDK
+$ndkVersion = "r10e"
+$ndkCachedUrl = "http://ci-files01-hki.ci.local/input/android/android-ndk-$ndkVersion-windows-x86.zip"
+$ndkOfficialUrl = "https://dl.google.com/android/repository/android-ndk-$ndkVersion-windows-x86.zip"
+$ndkChecksum = "1d0b8f2835be741f3048fb03c0a3e9f71ab7f357"
+$ndkFolder = "c:\utils\android-ndk-$ndkVersion"
+$ndkZip = "c:\Windows\Temp\android_ndk_$ndkVersion.zip"
+
+# SDK
+$sdkVersion = "r24.4.1"
+$sdkApi = "ANDROID_API_VERSION"
+$sdkApiLevel = "android-18"
+$sdkBuildToolsVersion = "23.0.3"
+$sdkCachedUrl= "http://ci-files01-hki.ci.local/input/android/android-sdk_$sdkVersion-windows.zip"
+$sdkOfficialUrl = "https://dl.google.com/android/android-sdk_$sdkVersion-windows.zip"
+$sdkChecksum = "66b6a6433053c152b22bf8cab19c0f3fef4eba49"
+$sdkFolder = "c:\utils\android-sdk-windows"
+$sdkZip = "c:\Windows\Temp\android_sdk_$sdkVersion.zip"
+
+function Install($1, $2, $3, $4) {
+ $cacheUrl = $1
+ $zip = $2
+ $checksum = $3
+ $offcialUrl = $4
+
+ Download $offcialUrl $cacheUrl $zip
+ Verify-Checksum $zip "$checksum"
+ Extract-Zip $zip C:\Utils
+}
+
+function SdkUpdate ($1, $2) {
+ echo "Running Android SDK update for $1..."
+ cmd /c "echo y |$1\tools\android update sdk --no-ui --all --filter $2"
+}
+
+echo "Installing Android ndk $nkdVersion"
+Install $ndkCachedUrl $ndkZip $ndkChecksum $ndkOfficialUrl
+echo "Set environment variable ANDROID_NDK_HOME=$ndkFolder"
+[Environment]::SetEnvironmentVariable("ANDROID_NDK_HOME", $ndkFolder, "Machine")
+echo "Set environment variable ANDROID_NDK_ROOT=$ndkFolder"
+[Environment]::SetEnvironmentVariable("ANDROID_NDK_ROOT", $ndkFolder, "Machine")
+
+#echo "Installing Android sdk $sdkVersion"
+Install $sdkCachedUrl $sdkZip $sdkChecksum $sdkOfficialUrl
+echo "Set environment variable ANDROID_SDK_HOME=$sdkFolder"
+[Environment]::SetEnvironmentVariable("ANDROID_SDK_HOME", $sdkFolder, "Machine")
+echo "Set environment variable ANDROID_API_VERSION $sdkApiLevel"
+[Environment]::SetEnvironmentVariable("ANDROID_API_VERSION", $sdkApiLevel, "Machine")
+
+# SDK update
+SdkUpdate $sdkFolder $sdkApiLevel
+SdkUpdate $sdkFolder tools
+SdkUpdate $sdkFolder platform-tools
+SdkUpdate $sdkFolder build-tools-$sdkBuildToolsVersion
+
+# kill adb. This process prevent's provisioning to continue
+taskkill /im adb.exe /f
diff --git a/coin/provisioning/qtci-windows-7-x86/android_openssl.ps1 b/coin/provisioning/qtci-windows-7-x86/07-android_openssl.ps1
index a1b656c6..a1b656c6 100644
--- a/coin/provisioning/qtci-windows-7-x86/android_openssl.ps1
+++ b/coin/provisioning/qtci-windows-7-x86/07-android_openssl.ps1